Archived:NI Biomedical Toolkit for LabVIEW Windows 10 Support

Updated Nov 27, 2020

National Instruments does not actively maintain this document.

This content provides support for older products and technology, so you may notice outdated links or obsolete information about operating systems or other relevant products.

Reported In

Software

  • LabVIEW Biomedical Toolkit
  • LabVIEW Application Builder Module
  • LabVIEW

Issue Details

I have an executable that uses the NI Biomedical Toolkit. It runs fine on Windows 7, however, won't run on a Windows 10 machine. I have tried with both the Run-Time Engine and the Professional Development Environment. 

Solution

NI Biomedical Toolkit does not support Windows 10.

An executable that uses VI's form the NI Biomedical Toolkit will run on the following operating systems: 
  • Windows 8
  • Windows 8.1
  • Windows 7
  • Windows Vista
  • Windows XP (SP3) 32-bit
  • Windows Server 2008 R2 64-bit
  • Windows Server 2003 R2 32-bit

Additional Information

The last released version of the NI Biomedical Toolkit was for LabVIEW 2014. For later versions of LabVIEW it can be installed via VI Package Manager

The Biomedical Toolkit requires the LabVIEW Advanced Signal Processing Toolkit to be installed.

If .hea files are used in the executable, install the PhysioBank DataPlugin.

Note: as the NI Biomedical Toolkit is freely available for download through VI Package Manager, the toolkit is not officially supported by NI.